Subject: Re: Bug 2435

From: Kenichi Handa <[email-masked]>
Date: Thu, 05 Mar 2009 15:39:16 +0900

In article <[email-masked]>, Chong Yidong <[email-masked]> writes:

> Kenichi Handa <[email-masked]> writes:
> > It seems that `pattern' is correct, but `bufp->buffer' is
> > the compiled code for some of jkr-compr related regexp.
> > Could you please find why that happens?

> I think the problem is that regex_compile can call load_charset, which
> can call regex_compile.  I think regex_compile is not designed to be
> called recursively, leading to memory corruption.

Ah!  That is a likely cause of the bug.  I'll find a way to
avoid loading charset at that moment.

---
Kenichi Handa
[email-masked]